Page MenuHomePhabricator

Need to change year to 1924 for public domain images in Wikimedia Commons Upload Wizard?
Closed, ResolvedPublic

Description

I have seen several articles such as [https://law.duke.edu/cspd/publicdomainday/2019/ this one] about material published in 1923 entering the public domain as of January 1, 2019. I noticed, however, that the Upload Wizard at Wikimedia Commons still has "First published before 1923" under the heading "The copyright has definitely expired in the USA". Does the recent change not apply to images uploaded to Wikimedia Commons, or has the Upload Wizard just not been updated to reflect the change?

Acceptance criteria:

https://commons.wikimedia.beta.wmflabs.org/wiki/Special:UploadWizard

  • "Release rights" step's options under "The copyright has definitely expired in the USA" state 1924 instead of 1923

Event Timeline

Teblick created this task.Mar 7 2019, 4:06 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 7 2019, 4:06 PM
Restricted Application added a project: Multimedia. · View Herald TranscriptMar 7 2019, 4:07 PM

Hmm yeah, that's the mwe-upwiz-license-pd-old-70-1923 string in https://phabricator.wikimedia.org/diffusion/EUWI/ . Thanks for reporting this!

Ramsey-WMF triaged this task as Normal priority.Mar 29 2019, 9:02 PM
Ramsey-WMF moved this task from Untriaged to Next up on the Multimedia board.
Ramsey-WMF added subscribers: Ha78na, egardner, Ramsey-WMF.

"Small" change up for grabs, @egardner and @Ha78na :) This might actually be an easy one! (because it's not related to SDC)

egardner claimed this task.Mar 29 2019, 9:27 PM

Change 500130 had a related patch set uploaded (by Eric Gardner; owner: Eric Gardner):
[mediawiki/extensions/UploadWizard@master] Update public domain entry date for US copyrighted works

https://gerrit.wikimedia.org/r/500130

I've changed the English label for that part of the Upload Wizard form from 1923 to 1924. Let me know if that text appears anywhere else.

Change 500130 merged by jenkins-bot:
[mediawiki/extensions/UploadWizard@master] Update public domain entry date for US copyrighted works

https://gerrit.wikimedia.org/r/500130

Change 500664 had a related patch set uploaded (by Matthias Mullie; owner: Matthias Mullie):
[mediawiki/extensions/UploadWizard@master] Don't error on copyrighted works from 1923

https://gerrit.wikimedia.org/r/500664

matthiasmullie updated the task description. (Show Details)

Change 500664 merged by jenkins-bot:
[mediawiki/extensions/UploadWizard@master] Don't error on copyrighted works from 1923

https://gerrit.wikimedia.org/r/500664

Cparle closed this task as Resolved.Apr 18 2019, 1:12 PM
Cparle added a subscriber: Cparle.

Verified on production, closing